Lucene++ - a full-featured, c++ search engine
API Documentation

Data Structures | Namespaces
DocFieldProcessorPerThread.h File Reference
`#include "DocConsumerPerThread.h"`
`#include "DocumentsWriter.h"`

Go to the source code of this file.

## Data Structures

class | Lucene::DocFieldProcessorPerThread
| Gathers all Fieldables for a document under the same name, updates FieldInfos, and calls per-field consumers to process field by field. More...
class | Lucene::DocFieldProcessorPerThreadPerDoc

## Namespaces

| Lucene

clucene.sourceforge.net